Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jaxb.atomikos.v200510
Class ExtentElementType

    java.lang.Object
      com.atomikos.icatch.jaxb.atomikos.v200510.ExtentElementType

    public class ExtentElementType

extends Object

Java class for ExtentElementType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ExtentElementType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Participant" type="{http://www.atomikos.com/schemas/2005/10/transactions}AddressType"/>
             <element name="Count" type="{http://www.w3.org/2001/XMLSchema}int"/>
             <element name="HeuristicInfo" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected int` | `count`
`protected List<String>` | `heuristicInfo`
`protected AddressType` | `participant`

Constructor Summary
`ExtentElementType()`

Method Summary
`int` | `getCount()` Gets the value of the count property.
`List<String>` | `getHeuristicInfo()` Gets the value of the heuristicInfo property.
`AddressType` | `getParticipant()` Gets the value of the participant property.
`void` | `setCount(int value)` Sets the value of the count property.
`void` | `setParticipant(AddressType value)` Sets the value of the participant property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### participant

    protected AddressType participant

### count

    protected int count

### heuristicInfo

    protected List<String> heuristicInfo

Constructor Detail

### ExtentElementType

    public ExtentElementType()

Method Detail

### getParticipant

    public AddressType getParticipant()

  Gets the value of the participant property.

  Returns:
    possible object is `AddressType`

### setParticipant

    public void setParticipant(AddressType value)

  Sets the value of the participant property.

  Parameters:
    `value` - allowed object is `AddressType`

### getCount

    public int getCount()

  Gets the value of the count property.

### setCount

    public void setCount(int value)

  Sets the value of the count property.

### getHeuristicInfo

    public List<String> getHeuristicInfo()

  Gets the value of the heuristicInfo property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the heuristicInfo property.

  For example, to add a new item, do as follows:

          getHeuristicInfo().add(newItem);

  Objects of the following type(s) are allowed in the list `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.